class Component
  include Rhom::FixedSchema
  
  property :key,    :string
  property :value,  :string
  
  set :schema_version, "0.1"
  
  # サーバのアドレスを返す
  def self.server_address
    if com = Component.find_by_key("server_address")
      return com.value
    end
  end
  
  # keyをもとにサーバのアドレスを取得する。
  def self.find_by_key(key)
    Component.find(:first, :conditions => {"key" => key})
  end

end
